<template>
  <div
    class="article"
    v-if="article"
  >
    <h1 class="article__header">{{ article.title }}</h1>
    <div class="article__text">{{ article.text }}</div>
  </div>
</template>

<script>
import { mapActions, mapState } from 'vuex';

export default {
  name: 'Article',
  computed: {
    ...mapState({
      article (state) {
        return state.articleList.find(item => item && item.id === +this.$route.params.id);
      }
    })
  },
  async beforeMount () {
    try {
      let article = this.$store.state.articleList.find(item => item.id === +this.$route.params.id);
      if (!article)
        await this.getArticleItem(+this.$route.params.id);
    } catch (err) {
      console.log(err);
      this.$router.push('/error/500');
    }
  },
  methods: {
    ...mapActions(['getArticleItem'])
  }
};

</script>

<style scoped>

  .article {
    padding: 20px;

    &__header {
      
    }

    &__text {
      text-align: justify;
      font-size: 1.2rem;
    }
  }

</style>